## optiimage 1.0.0

=== debian/changelog ===
optiimage (1.0.0-0zneon+24.04+noble+release+build4) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 00:43:12 +0000

optiimage (1.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:27:27 +0000

## optiimage 1.0.0+p24.04+vstable+git20250904.0941

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20250904.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 09:41:37 +0000

## optiimage 1.0.0+p24.04+vstable+git20250914.1607

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20250914.1607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:07:03 +0000

## optiimage 1.0.0+p24.04+vstable+git20251015.1431

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20251015.1431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:31:04 +0000

## optiimage 1.0.0+p24.04+vstable+git20251019.0400

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause
cmake_minimum_required(VERSION 3.20)

set(QT_MIN_VERSION 6.6)
set(KF_MIN_VERSION 6.8)
set(RELEASE_SERVICE_VERSION "0.1.0") # TODO move to release service
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

project(OptiImage VERSION ${RELEASE_SERVICE_VERSION})

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/ecm/"
    DESCRIPTION "extra cmake modules")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE  COMPONENTS Core Gui Qml QuickControls2 Svg Widgets)
set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n CoreAddons Config KIO IconThemes )
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

find_package(QCoro6 0.4 COMPONENTS Core Qml)
set_package_properties(QCoro6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

find_package(KF6Crash ${KF_MIN_VERSION})
set_package_properties(KF6Crash PROPERTIES
        TYPE OPTIONAL
        PURPOSE "For crash handling"
)

find_package(KF6KirigamiAddons 1.5.0)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components and runtime dependency"
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(KDEClangFormat)
include(ECMQmlModule)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX OPTIIMAGE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/optiimage-version.h
)

qcoro_enable_coroutines()

add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.optiimage.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.optiimage.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.optiimage.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_library(optiimage_static STATIC)
ecm_add_qml_module(optiimage_static
    URI org.kde.optiimage
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        contents/ui/Main.qml
        contents/ui/OptimizePage.qml
        contents/ui/SettingsPage.qml
        contents/ui/LogOutputPage.qml
)

target_sources(optiimage_static PRIVATE
    consolelog.cpp
    consolelog.h
    imagemodel.cpp
    imagemodel.h
    optimizer.cpp
    optimizer.h
    setupcheck.cpp
    setupcheck.h
)

target_include_directories(optiimage_static PUBLIC ${CMAKE_BINARY_DIR})
target_link_libraries(optiimage_static PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    Qt::Widgets
    KF6::I18n
    KF6::I18nQml
    KF6::CoreAddons
    KF6::ConfigGui
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::IconThemes
    QCoro::Core
    QCoro::Qml
)

kconfig_target_kcfg_file(optiimage_static FILE config.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION SINGLETON)

add_executable(optiimage
    main.cpp
)
target_link_libraries(optiimage PUBLIC optiimage_static optiimage_staticplugin)

if (TARGET KF6::Crash)
    target_link_libraries(optiimage PUBLIC KF6::Crash)
endif()
install(TARGETS optiimage ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20251019.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:00:39 +0000

=== debian/control ===
Source: optiimage
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/neon-packaging/optiimage
Vcs-Git: https://invent.kde.org/neon/neon-packaging/optiimage.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/optiimage
Maintainer: Neon CI <neon@kde.org>

Package: optiimage
Architecture: any
Depends: kf6-kirigami-addons, kf6-kirigami2, ${misc:Depends}, ${shlibs:Depends}
Description: KDE Image Compressor
 Optimize your images with OptiImage, a useful image compressor that supports
 PNG, JPEG, WebP and SVG file types.
 .
 It supports both lossless and lossy compression modes with an option to whether
 keep or not metadata of images. It additionally has a safe mode, where a new
 image is created instead of overwritting the old one.

## optiimage 1.0.0+p24.04+vstable+git20251231.0420

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20251231.0420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:20:13 +0000

## optiimage 1.0.0+p24.04+vstable+git20260105.1114

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20260105.1114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:14:22 +0000

## optiimage 1.0.0+p24.04+vstable+git20260122.0919

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20260122.0919-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:19:30 +0000

## optiimage 1.0.0+p24.04+vstable+git20260130.0832

=== debian/changelog ===
optiimage (1.0.0+p24.04+vstable+git20260130.0832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:32:16 +0000

## optiimage 1.0.0+p24.04+vunstable+git20251020.0404

=== debian/changelog ===
optiimage (1.0.0+p24.04+vunstable+git20251020.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 04:04:31 +0000

## optiimage 1.0.0+p24.04+vunstable+git20260130.1338

=== debian/changelog ===
optiimage (1.0.0+p24.04+vunstable+git20260130.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:38:44 +0000

## optiimage 1.0.0+p24.04+vunstable+git20260204.0056

=== debian/changelog ===
optiimage (1.0.0+p24.04+vunstable+git20260204.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:56:57 +0000
